1. Networks
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
        GET
      • Get Single Specific Network
        GET
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Networks

Get Single Specific Network

GET
/v1/networks/{id}

Request

Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/networks/110?page=1&fields=name,logo_url&per_page=10' \
--header 'Authorization: Bearer {{token}}'

Responses

🟢200Success
application/json
Body

Example
{
    "meta": {
        "total": 1,
        "from": 1,
        "to": 1,
        "current_page": 1,
        "last_page": 1,
        "per_page": 100,
        "fields": [
            "id",
            "name",
            "logo_url",
            "merchant_count",
            "merchant_count_active",
            "product_count",
            "group",
            "country"
        ]
    },
    "data": [
        {
            "id": 110,
            "name": "Tradedoubler Finland",
            "logo_url": "https://api.affili8.dev/img/logos/groups/10034/128x128.png",
            "merchant_count": 49,
            "merchant_count_active": 11,
            "product_count": 635130,
            "group": {
                "id": 10034,
                "name": "TradeDoubler"
            },
            "country": {
                "id": "FI",
                "iso3": "FIN",
                "name": "Finland"
            }
        }
    ]
}
🟠400Invalid input
🟠429Rate Limit Exceeded
🟠404Record not found
🟠401Unauthenticated
Modified at 2024-09-17 20:47:38
Previous
List All Networks
Next
Merchants